Subject: Re: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Chong Yidong <[email-masked]>
Date: Fri, 21 Sep 2012 22:26:18 +0800

Eli Zaretskii <[email-masked]> writes:

>> If I understand correctly, js2-mode (prior to the workaround) assumed
>> the new behavior: it called run-with-idle-timer from inside the idle
>> timer, with the same delay, with the intention of scheduling for the
>> next period of idleness.
>
> I have no idea what js2-mode wants to do.  What I wrote above was
> based on my limited reading of the code fragments posted to that bug.

OK, I guess your approach is fine.  Please go ahead and commit your
patch when you're ready, and amend the docstring of run-with-idle-timer
as Dmitry suggested.

Thanks.